Bug 473162 - F10-x86_64-Live.iso fails with bug in initranfs.
F10-x86_64-Live.iso fails with bug in initranfs.
Status: CLOSED DUPLICATE of bug 482818
Product: Fedora
Classification: Fedora
Component: LiveCD (Show other bugs)
10
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-26 15:49 EST by David Hardman
Modified: 2013-01-09 23:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-19 12:40:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
smolt output (5.43 KB, application/octet-stream)
2008-11-26 15:49 EST, David Hardman
no flags Details

  None (edit)
Description David Hardman 2008-11-26 15:49:25 EST
Created attachment 324796 [details]
smolt output

Description of problem:

F10-x86_64-Live.iso fails to load.

Version-Release number of selected component (if applicable):
F10-x86_64-Live.iso


How reproducible:
Every time


Steps to Reproduce:
1.
2.
3.
  
Actual results:

mount: wrong fstype, bad option... etc.

bug in initranfs /init detected. Dropping to a shell. Good Luck.

bash-3.2# isa boince pool size: 16 pages.
...then 16 lines, the last is:...
sd 6:0:0:0 [sdf] Assuming drive cache: write through.

Expected results:


Additional info:
Comment 1 Jeremy Katz 2008-12-01 13:00:19 EST
If you type exit at the prompt, does it then work?  What hardware is this on?
Comment 2 ^mp3axe^ 2008-12-04 21:56:36 EST
Steps to reproduce:
- as root run "yum clean all && yum -y update && yum install livecd-kickstarts"
- as root run "livecd-creator -c /usr/share/spin-kickstarts/fedora-livecd-desktop.ks -f F10_Live_x86_64"
- created a 64-bit VMware Server 1.0.8 appliance and set the iso created as the boot cd.
- removed "quiet" on the boot parameters.  Here is what my machine reports before it drops to the bash shell:

Added udev rul 00-cdlabel.rules:
KERNEL == "hd[a-z]", BUS=="ide", SYSFS{removable}=="1", ATTRS{media}=="cdrom", PROGRAM="/lib/udev/vol_id -l %N", RESULT=="F10_Live_x86_64", SYMLINK+="root"
KERNEL == "sr[0-9]", PROGRAM="/lib/udev/vol_id -l %N", RESULT=="F10_Live_x86_64", SYMLINK+="root"
KERNEL == "scd[0-9]", PROGRAM="/lib/udev/vol_id -l %N", RESULT=="F10_Live_x86_64", SYMLINK+="root"
KERNEL == "pcd[0-9]", PROGRAM="/lib/udev/vol_id -l %N", RESULT=="F10_Live_x86_64", SYMLINK+="root"
starting udevd
creating devices
waiting for system to settle
mounting /dev/root
lrwxrwxrwx 1 0 0 3 Dec  4 18:26 /dev/root -> sr0
mount: unknown filesystem type 'squashfs'
Bug in initramfs /init detected.  Dropping to a shell.  Good luck!

bash: no job control in this shell
bash=3.2#


________

When I type exit at this prompt or any other command (i.e. ls)  nothing happens.
Comment 3 Jeremy Katz 2008-12-08 13:01:48 EST
(In reply to comment #2)
> Steps to reproduce:
> - as root run "yum clean all && yum -y update && yum install livecd-kickstarts"
> - as root run "livecd-creator -c
> /usr/share/spin-kickstarts/fedora-livecd-desktop.ks -f F10_Live_x86_64"
[snip]
> mount: unknown filesystem type 'squashfs'
> Bug in initramfs /init detected.  Dropping to a shell.  Good luck!

While this is a similar error message as the original reporter, he was seeing with the official images as opposed to respun images.  You are seeing two different things

1) spin-kickstarts points to rawhide instead of the F10 repos by default
2) The rawhide kernel is missing squashfs at the moment as it rebases to 2.6.28-rc.


Dave -- the information I asked for above would still be helpful in diagnosing what went wrong here.
Comment 4 Jeremy Katz 2008-12-19 12:40:36 EST
Closing due to inactivity.  Please reopen if you have further information to add to this bug report.
Comment 5 CAI Qian 2009-01-28 09:48:27 EST
This looks like the same bug with the kernel and mksquashfs issue, according to this error message here,

mount: unknown filesystem type 'squashfs'

*** This bug has been marked as a duplicate of bug 482818 ***

Note You need to log in before you can comment on or make changes to this bug.